Import Kitsu entities (assets, shots, sequences, etc.). Send a list of Kitsu entity entries in the JSON body. Returns created or updated entities.
POST
/import/kitsu/entities
curl
curl -X POST "http://api.example.com/import/kitsu/entities" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "Asset01",
"project_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"entity_type_id": "c24a6ea4-ce75-4665-a070-57453082c25"
}
]'
import requests
url = "http://api.example.com/import/kitsu/entities"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = [
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "Asset01",
"project_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"entity_type_id": "c24a6ea4-ce75-4665-a070-57453082c25"
}
]
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/import/kitsu/entities' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '[{"id":"a24a6ea4-ce75-4665-a070-57453082c25","name":"Asset01","project_id":"b24a6ea4-ce75-4665-a070-57453082c25","entity_type_id":"c24a6ea4-ce75-4665-a070-57453082c25"}]'
Request example
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "Asset01",
"project_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"entity_type_id": "c24a6ea4-ce75-4665-a070-57453082c25"
}
]
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "Asset01",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}
]